package com.dariomartin.easygrow;

import com.dariomartin.easygrow.injecton.RepositoryModule;
import com.dariomartin.easygrow.presentation.login.AuthActivity_GeneratedInjector;
import com.dariomartin.easygrow.presentation.login.AuthViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.login.LoginFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.login.SignUpFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.login.TypeSelectionFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.login.TypeSelectionViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.patient.PatientActivity_GeneratedInjector;
import com.dariomartin.easygrow.presentation.patient.PatientViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.patient.dose.DoseFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.patient.dose.DosesViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.patient.profile.ProfileFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.patient.profile.ProfileUpdateFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.patient.profile.ProfileViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.patient.reminder.ReminderFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.patient.reminder.ReminderViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.patient.statistics.StatisticsFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.patient.statistics.StatisticsViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.SanitaryActivity_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.SanitaryViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.createdrug.CreateDrugFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.createdrug.CreateDrugViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.drugdetails.DrugDetailFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.drugdetails.DrugDetailViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.druglist.DrugsTabFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.druglist.DrugsTabViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.patients.PatientsTabFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.patients.PatientsTabViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.patientsearch.PatientSearchFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.patientsearch.PatientSearchViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.tabs.SanitaryTabsFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.tabs.SanitaryTabsViewModel_HiltModules;
import com.dariomartin.easygrow.presentation.sanitary.treatmentupdate.TreatmentUpdateFragment_GeneratedInjector;
import com.dariomartin.easygrow.presentation.sanitary.treatmentupdate.TreatmentUpdateViewModel_HiltModules;
import dagger.Binds;
import dagger.Component;
import dagger.Module;
import dagger.Subcomponent;
import dagger.hilt.android.components.ActivityComponent;
import dagger.hilt.android.components.ActivityRetainedComponent;
import dagger.hilt.android.components.FragmentComponent;
import dagger.hilt.android.components.ServiceComponent;
import dagger.hilt.android.components.ViewComponent;
import dagger.hilt.android.components.ViewModelComponent;
import dagger.hilt.android.components.ViewWithFragmentComponent;
import dagger.hilt.android.flags.FragmentGetContextFix;
import dagger.hilt.android.flags.HiltWrapper_FragmentGetContextFix_FragmentGetContextFixModule;
import dagger.hilt.android.internal.builders.ActivityComponentBuilder;
import dagger.hilt.android.internal.builders.ActivityRetainedComponentBuilder;
import dagger.hilt.android.internal.builders.FragmentComponentBuilder;
import dagger.hilt.android.internal.builders.ServiceComponentBuilder;
import dagger.hilt.android.internal.builders.ViewComponentBuilder;
import dagger.hilt.android.internal.builders.ViewModelComponentBuilder;
import dagger.hilt.android.internal.builders.ViewWithFragmentComponentBuilder;
import dagger.hilt.android.internal.lifecycle.DefaultViewModelFactories;
import dagger.hilt.android.internal.lifecycle.HiltViewModelFactory;
import dagger.hilt.android.internal.lifecycle.HiltWrapper_DefaultViewModelFactories_ActivityModule;
import dagger.hilt.android.internal.lifecycle.HiltWrapper_HiltViewModelFactory_ActivityCreatorEntryPoint;
import dagger.hilt.android.internal.lifecycle.HiltWrapper_HiltViewModelFactory_ViewModelModule;
import dagger.hilt.android.internal.managers.ActivityComponentManager;
import dagger.hilt.android.internal.managers.FragmentComponentManager;
import dagger.hilt.android.internal.managers.HiltWrapper_ActivityRetainedComponentManager_ActivityRetainedComponentBuilderEntryPoint;
import dagger.hilt.android.internal.managers.HiltWrapper_ActivityRetainedComponentManager_ActivityRetainedLifecycleEntryPoint;
import dagger.hilt.android.internal.managers.HiltWrapper_ActivityRetainedComponentManager_LifecycleModule;
import dagger.hilt.android.internal.managers.ServiceComponentManager;
import dagger.hilt.android.internal.managers.ViewComponentManager;
import dagger.hilt.android.internal.modules.ApplicationContextModule;
import dagger.hilt.android.internal.modules.HiltWrapper_ActivityModule;
import dagger.hilt.android.scopes.ActivityRetainedScoped;
import dagger.hilt.android.scopes.ActivityScoped;
import dagger.hilt.android.scopes.FragmentScoped;
import dagger.hilt.android.scopes.ServiceScoped;
import dagger.hilt.android.scopes.ViewModelScoped;
import dagger.hilt.android.scopes.ViewScoped;
import dagger.hilt.components.SingletonComponent;
import dagger.hilt.internal.GeneratedComponent;
import dagger.hilt.migration.DisableInstallInCheck;
import javax.inject.Singleton;

public final class EGApplication_HiltComponents {
  private EGApplication_HiltComponents() {
  }

  @Module(
      subcomponents = ServiceC.class
  )
  @DisableInstallInCheck
  abstract interface ServiceCBuilderModule {
    @Binds
    ServiceComponentBuilder bind(ServiceC.Builder builder);
  }

  @Module(
      subcomponents = ActivityRetainedC.class
  )
  @DisableInstallInCheck
  abstract interface ActivityRetainedCBuilderModule {
    @Binds
    ActivityRetainedComponentBuilder bind(ActivityRetainedC.Builder builder);
  }

  @Module(
      subcomponents = ActivityC.class
  )
  @DisableInstallInCheck
  abstract interface ActivityCBuilderModule {
    @Binds
    ActivityComponentBuilder bind(ActivityC.Builder builder);
  }

  @Module(
      subcomponents = ViewModelC.class
  )
  @DisableInstallInCheck
  abstract interface ViewModelCBuilderModule {
    @Binds
    ViewModelComponentBuilder bind(ViewModelC.Builder builder);
  }

  @Module(
      subcomponents = ViewC.class
  )
  @DisableInstallInCheck
  abstract interface ViewCBuilderModule {
    @Binds
    ViewComponentBuilder bind(ViewC.Builder builder);
  }

  @Module(
      subcomponents = FragmentC.class
  )
  @DisableInstallInCheck
  abstract interface FragmentCBuilderModule {
    @Binds
    FragmentComponentBuilder bind(FragmentC.Builder builder);
  }

  @Module(
      subcomponents = ViewWithFragmentC.class
  )
  @DisableInstallInCheck
  abstract interface ViewWithFragmentCBuilderModule {
    @Binds
    ViewWithFragmentComponentBuilder bind(ViewWithFragmentC.Builder builder);
  }

  @Component(
      modules = {
          ApplicationContextModule.class,
          ActivityRetainedCBuilderModule.class,
          ServiceCBuilderModule.class,
          HiltWrapper_FragmentGetContextFix_FragmentGetContextFixModule.class,
          RepositoryModule.class
      }
  )
  @Singleton
  public abstract static class SingletonC implements EGApplication_GeneratedInjector,
      FragmentGetContextFix.FragmentGetContextFixEntryPoint,
      HiltWrapper_ActivityRetainedComponentManager_ActivityRetainedComponentBuilderEntryPoint,
      ServiceComponentManager.ServiceComponentBuilderEntryPoint,
      SingletonComponent,
      GeneratedComponent {
  }

  @Subcomponent
  @ServiceScoped
  public abstract static class ServiceC implements ServiceComponent,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends ServiceComponentBuilder {
    }
  }

  @Subcomponent(
      modules = {
          AuthViewModel_HiltModules.KeyModule.class,
          CreateDrugViewModel_HiltModules.KeyModule.class,
          DosesViewModel_HiltModules.KeyModule.class,
          DrugDetailViewModel_HiltModules.KeyModule.class,
          DrugsTabViewModel_HiltModules.KeyModule.class,
          ActivityCBuilderModule.class,
          ViewModelCBuilderModule.class,
          HiltWrapper_ActivityRetainedComponentManager_LifecycleModule.class,
          PatientSearchViewModel_HiltModules.KeyModule.class,
          PatientViewModel_HiltModules.KeyModule.class,
          PatientsTabViewModel_HiltModules.KeyModule.class,
          ProfileViewModel_HiltModules.KeyModule.class,
          ReminderViewModel_HiltModules.KeyModule.class,
          SanitaryTabsViewModel_HiltModules.KeyModule.class,
          SanitaryViewModel_HiltModules.KeyModule.class,
          StatisticsViewModel_HiltModules.KeyModule.class,
          TreatmentUpdateViewModel_HiltModules.KeyModule.class,
          TypeSelectionViewModel_HiltModules.KeyModule.class
      }
  )
  @ActivityRetainedScoped
  public abstract static class ActivityRetainedC implements ActivityRetainedComponent,
      ActivityComponentManager.ActivityComponentBuilderEntryPoint,
      HiltWrapper_ActivityRetainedComponentManager_ActivityRetainedLifecycleEntryPoint,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends ActivityRetainedComponentBuilder {
    }
  }

  @Subcomponent(
      modules = {
          FragmentCBuilderModule.class,
          ViewCBuilderModule.class,
          HiltWrapper_ActivityModule.class,
          HiltWrapper_DefaultViewModelFactories_ActivityModule.class
      }
  )
  @ActivityScoped
  public abstract static class ActivityC implements AuthActivity_GeneratedInjector,
      PatientActivity_GeneratedInjector,
      SanitaryActivity_GeneratedInjector,
      ActivityComponent,
      DefaultViewModelFactories.ActivityEntryPoint,
      HiltWrapper_HiltViewModelFactory_ActivityCreatorEntryPoint,
      FragmentComponentManager.FragmentComponentBuilderEntryPoint,
      ViewComponentManager.ViewComponentBuilderEntryPoint,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends ActivityComponentBuilder {
    }
  }

  @Subcomponent(
      modules = {
          AuthViewModel_HiltModules.BindsModule.class,
          CreateDrugViewModel_HiltModules.BindsModule.class,
          DosesViewModel_HiltModules.BindsModule.class,
          DrugDetailViewModel_HiltModules.BindsModule.class,
          DrugsTabViewModel_HiltModules.BindsModule.class,
          HiltWrapper_HiltViewModelFactory_ViewModelModule.class,
          PatientSearchViewModel_HiltModules.BindsModule.class,
          PatientViewModel_HiltModules.BindsModule.class,
          PatientsTabViewModel_HiltModules.BindsModule.class,
          ProfileViewModel_HiltModules.BindsModule.class,
          ReminderViewModel_HiltModules.BindsModule.class,
          SanitaryTabsViewModel_HiltModules.BindsModule.class,
          SanitaryViewModel_HiltModules.BindsModule.class,
          StatisticsViewModel_HiltModules.BindsModule.class,
          TreatmentUpdateViewModel_HiltModules.BindsModule.class,
          TypeSelectionViewModel_HiltModules.BindsModule.class
      }
  )
  @ViewModelScoped
  public abstract static class ViewModelC implements ViewModelComponent,
      HiltViewModelFactory.ViewModelFactoriesEntryPoint,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends ViewModelComponentBuilder {
    }
  }

  @Subcomponent
  @ViewScoped
  public abstract static class ViewC implements ViewComponent,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends ViewComponentBuilder {
    }
  }

  @Subcomponent(
      modules = ViewWithFragmentCBuilderModule.class
  )
  @FragmentScoped
  public abstract static class FragmentC implements LoginFragment_GeneratedInjector,
      SignUpFragment_GeneratedInjector,
      TypeSelectionFragment_GeneratedInjector,
      DoseFragment_GeneratedInjector,
      ProfileFragment_GeneratedInjector,
      ProfileUpdateFragment_GeneratedInjector,
      ReminderFragment_GeneratedInjector,
      StatisticsFragment_GeneratedInjector,
      CreateDrugFragment_GeneratedInjector,
      DrugDetailFragment_GeneratedInjector,
      DrugsTabFragment_GeneratedInjector,
      PatientsTabFragment_GeneratedInjector,
      PatientSearchFragment_GeneratedInjector,
      SanitaryTabsFragment_GeneratedInjector,
      TreatmentUpdateFragment_GeneratedInjector,
      FragmentComponent,
      DefaultViewModelFactories.FragmentEntryPoint,
      ViewComponentManager.ViewWithFragmentComponentBuilderEntryPoint,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends FragmentComponentBuilder {
    }
  }

  @Subcomponent
  @ViewScoped
  public abstract static class ViewWithFragmentC implements ViewWithFragmentComponent,
      GeneratedComponent {
    @Subcomponent.Builder
    abstract interface Builder extends ViewWithFragmentComponentBuilder {
    }
  }
}
