package com.dariomartin.easygrow.presentation.sanitary.tabs

import android.os.Bundle
import androidx.navigation.ActionOnlyNavDirections
import androidx.navigation.NavDirections
import com.dariomartin.easygrow.R
import kotlin.Int
import kotlin.String

public class SanitaryTabsFragmentDirections private constructor() {
  private data class ActionSanitaryTabsFragmentToProfileFragment(
    public val patientId: String? = null
  ) : NavDirections {
    public override fun getActionId(): Int = R.id.action_sanitaryTabsFragment_to_ProfileFragment

    public override fun getArguments(): Bundle {
      val result = Bundle()
      result.putString("patientId", this.patientId)
      return result
    }
  }

  private data class ActionSanitaryTabsFragmentToCreateDrugFragment(
    public val drugId: String? = null
  ) : NavDirections {
    public override fun getActionId(): Int = R.id.action_sanitaryTabsFragment_to_createDrugFragment

    public override fun getArguments(): Bundle {
      val result = Bundle()
      result.putString("drugId", this.drugId)
      return result
    }
  }

  private data class ActionSanitaryTabsFragmentToDrugDetailFragment(
    public val drugId: String
  ) : NavDirections {
    public override fun getActionId(): Int = R.id.action_sanitaryTabsFragment_to_drugDetailFragment

    public override fun getArguments(): Bundle {
      val result = Bundle()
      result.putString("drugId", this.drugId)
      return result
    }
  }

  public companion object {
    public fun actionSanitaryTabsFragmentToProfileFragment(patientId: String? = null): NavDirections
        = ActionSanitaryTabsFragmentToProfileFragment(patientId)

    public fun actionSanitaryTabsFragmentToPatientSearchFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_sanitaryTabsFragment_to_patientSearchFragment)

    public fun actionSanitaryTabsFragmentToCreateDrugFragment(drugId: String? = null): NavDirections
        = ActionSanitaryTabsFragmentToCreateDrugFragment(drugId)

    public fun actionSanitaryTabsFragmentToDrugDetailFragment(drugId: String): NavDirections =
        ActionSanitaryTabsFragmentToDrugDetailFragment(drugId)
  }
}
